Update Product Variant Metafields

Updates a product variant *Metafield*. **Required Fields:** * none **Read-Only Fields** * id * These fields can only be modified by the app (API credentials) that created the metafield: * namespace * key * permission_set **Usage Notes** * Attempting to modify `namespace`, `key`, and `permission_set` fields using a client ID different from the one used to create those metafields will result in a 403 error message.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired
variant_idstringRequired
metafield_idstringRequired

Request

This endpoint expects an object.
keystringRequired1-64 characters

The name of the field, for example: location_id, color. Required for POST.

valuestringRequired1-65535 characters

The value of the field, for example: 1, blue. You must enter a JSON formatted string for ShipperHQ metafields. Required for POST.

namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes. This is set by the developer. Required for POST.
permission_setenumRequired
Determines the visibility and writeability of the field by other API consumers. |Value|Description |-|-| |`app_only`|Private to the app that owns the field| |`read`|Visible to other API consumers| |`write`|Open for reading and writing by other API consumers| |`read_and_sf_access`|Visible to other API consumers, including on storefront| |`write_and_sf_access`|Open for reading and writing by other API consumers, including on storefront|
Allowed values:
descriptionstringOptional1-255 characters
Description for the metafields.

Response

dataobject
metaobject
Response metadata.

Errors

400
Bad Request Error
404
Not Found Error